{
  "type": "chest",
  "pools": [
    {
      "rolls": {
        "min": 2,
        "max": 8
      },
      "entries": [
        {
          "type": "item",
          "weight": 10,
          "functions": [
            {
              "function": "set_count",
              "count": {
                "min": 1,
                "max": 4
              }
            }
          ],
          "name": "minecraft:coal"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/materials/metal_nuggets"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/mob_loot"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/treasure"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/food/raw_food"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "item",
          "name": "minecraft:golden_apple"
        },
        {
          "type": "loot_table",
          "weight": 5,
          "name": "smt:chests/tables/enchanted_books"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/equipment/leather_armor"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/equipment/golden_armor"
        },
        {
          "type": "loot_table",
          "name": "smt:chests/tables/equipment/fishing_rods_enchanted"
        },
        {
          "type": "item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:exploration_map",
              "decoration": "red_x",
              "zoom": 1,
              "skip_existing_chunks": false
            }
          ],
          "name": "minecraft:map"
        }
      ]
    }
  ]
}